Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 8651)
@@ -371,19 +371,19 @@
       IF(lwxios) THEN
 ! define variables in restart file when writing with XIOS
-        CALL set_rstw_var_active('frc_v')
-        CALL set_rstw_var_active('frc_t')
-        CALL set_rstw_var_active('frc_s')
+        CALL iom_set_rstw_var_active('frc_v')
+        CALL iom_set_rstw_var_active('frc_t')
+        CALL iom_set_rstw_var_active('frc_s')
         IF( ln_linssh ) THEN
-           CALL set_rstw_var_active('frc_wn_t')
-           CALL set_rstw_var_active('frc_wn_s')
+           CALL iom_set_rstw_var_active('frc_wn_t')
+           CALL iom_set_rstw_var_active('frc_wn_s')
         ENDIF
-        CALL set_rstw_var_active('surf_ini')
-        CALL set_rstw_var_active('ssh_ini')
-        CALL set_rstw_var_active('e3t_ini')
-        CALL set_rstw_var_active('hc_loc_ini')
-        CALL set_rstw_var_active('sc_loc_ini')
+        CALL iom_set_rstw_var_active('surf_ini')
+        CALL iom_set_rstw_var_active('ssh_ini')
+        CALL iom_set_rstw_var_active('e3t_ini')
+        CALL iom_set_rstw_var_active('hc_loc_ini')
+        CALL iom_set_rstw_var_active('sc_loc_ini')
         IF( ln_linssh ) THEN
-           CALL set_rstw_var_active('ssh_hc_loc_ini')
-           CALL set_rstw_var_active('ssh_sc_loc_ini')
+           CALL iom_set_rstw_var_active('ssh_hc_loc_ini')
+           CALL iom_set_rstw_var_active('ssh_sc_loc_ini')
         ENDIF
       ENDIF
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 8651)
@@ -146,8 +146,8 @@
       IF( lwxios ) THEN
 ! define variables in restart file when writing with XIOS
-          CALL set_rstw_var_active('kt')
-          CALL set_rstw_var_active('ndastp')
-          CALL set_rstw_var_active('adatrj')
-          CALL set_rstw_var_active('ntime')
+          CALL iom_set_rstw_var_active('kt')
+          CALL iom_set_rstw_var_active('ndastp')
+          CALL iom_set_rstw_var_active('adatrj')
+          CALL iom_set_rstw_var_active('ntime')
       ENDIF
 
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 8651)
@@ -48,5 +48,5 @@
    USE timing         ! Timing
    USE iom_def, ONLY:lwxios, wxioso, rst_wfields ! write restart flag and output type
-   USE iom, ONLY : set_rst_vars, set_rstw_core
+   USE iom, ONLY : iom_set_rst_vars, iom_set_rstw_core
    IMPLICIT NONE
    PRIVATE
@@ -132,6 +132,6 @@
       IF( lwxios ) THEN
 !define names for restart write and set core output (restart.F90)
-         CALL set_rst_vars(rst_wfields)
-         CALL set_rstw_core()
+         CALL iom_set_rst_vars(rst_wfields)
+         CALL iom_set_rstw_core()
       ENDIF
       !
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 8651)
@@ -245,16 +245,16 @@
       IF(lwxios) THEN
 ! define variables in restart file when writing with XIOS
-         CALL set_rstw_var_active('e3t_b')
-         CALL set_rstw_var_active('e3t_n')
+         CALL iom_set_rstw_var_active('e3t_b')
+         CALL iom_set_rstw_var_active('e3t_n')
          !                                           ! ----------------------- !
          IF( ln_vvl_ztilde .OR. ln_vvl_layer ) THEN  ! z_tilde and layer cases !
             !                                        ! ----------------------- !
-            CALL set_rstw_var_active('tilde_e3t_b')
-            CALL set_rstw_var_active('tilde_e3t_n')
+            CALL iom_set_rstw_var_active('tilde_e3t_b')
+            CALL iom_set_rstw_var_active('tilde_e3t_n')
          END IF
          !                                           ! -------------!    
          IF( ln_vvl_ztilde ) THEN                    ! z_tilde case !
             !                                        ! ------------ !
-            CALL set_rstw_var_active('hdiv_lf')
+            CALL iom_set_rstw_var_active('hdiv_lf')
          ENDIF
          !
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 8651)
@@ -1327,20 +1327,20 @@
       IF( lwxios ) THEN
 ! define variables in restart file when writing with XIOS
-         CALL set_rstw_var_active('ub2_b')
-         CALL set_rstw_var_active('vb2_b')
+         CALL iom_set_rstw_var_active('ub2_b')
+         CALL iom_set_rstw_var_active('vb2_b')
          !
          IF (.NOT.ln_bt_av) THEN
-            CALL set_rstw_var_active('sshbb_e')
-            CALL set_rstw_var_active('ubb_e')
-            CALL set_rstw_var_active('vbb_e')
-            CALL set_rstw_var_active('sshb_e')
-            CALL set_rstw_var_active('ub_e')
-            CALL set_rstw_var_active('vb_e')
+            CALL iom_set_rstw_var_active('sshbb_e')
+            CALL iom_set_rstw_var_active('ubb_e')
+            CALL iom_set_rstw_var_active('vbb_e')
+            CALL iom_set_rstw_var_active('sshb_e')
+            CALL iom_set_rstw_var_active('ub_e')
+            CALL iom_set_rstw_var_active('vb_e')
          ENDIF
 #if defined key_agrif
          ! Save time integrated fluxes
          IF ( .NOT.Agrif_Root() ) THEN
-            CALL set_rstw_var_active('ub2_i_b')
-            CALL set_rstw_var_active('vb2_i_b')
+            CALL iom_set_rstw_var_active('ub2_i_b')
+            CALL iom_set_rstw_var_active('vb2_i_b')
          ENDIF
 #endif
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 8651)
@@ -66,6 +66,6 @@
    PRIVATE iom_set_domain_attr, iom_set_axis_attr, iom_set_field_attr, iom_set_file_attr, iom_get_file_attr, iom_set_grid_attr
    PRIVATE set_grid, set_grid_bounds, set_scalar, set_xmlatt, set_mooring, iom_update_file_name, iom_sdate
-   PRIVATE set_rst_context, set_rstw_active
-   PUBLIC set_rstw_var_active, set_rst_vars
+   PRIVATE iom_set_rst_context, iom_set_rstw_active
+   PUBLIC iom_set_rstw_var_active, iom_set_rst_vars
 # endif
 
@@ -211,8 +211,8 @@
       IF( TRIM(cdname) == TRIM(wxios_context) ) THEN
 !set names of the fields in restart file IF using XIOS to read/write data
-       CALL set_rst_context()
-       CALL set_rst_vars(rst_wfields)
+       CALL iom_set_rst_context()
+       CALL iom_set_rst_vars(rst_wfields)
 !set which fields are to be read from restart file
-       CALL set_rstw_active(fname)
+       CALL iom_set_rstw_active(fname)
       ELSE
        CALL set_xmlatt
@@ -232,5 +232,5 @@
    END SUBROUTINE iom_init
 
-   SUBROUTINE set_rstw_var_active(field)
+   SUBROUTINE iom_set_rstw_var_active(field)
    CHARACTER(len = *), INTENT(IN) :: field
    INTEGER :: i
@@ -248,46 +248,46 @@
 !Warn if variable is not in defined in rst_wfields
    IF(.NOT.is_set) THEN
-      IF(lwp) write(numout,*) 'E R R O R in set_rstw_var_active: variable ', field ,' is available for writing but not defined' 
+      IF(lwp) write(numout,*) 'E R R O R in iom_set_rstw_var_active: variable ', field ,' is available for writing but not defined' 
         nstop = nstop + 1
    ENDIF
 
-   END SUBROUTINE set_rstw_var_active
+   END SUBROUTINE iom_set_rstw_var_active
   
-   SUBROUTINE set_rstw_core()
+   SUBROUTINE iom_set_rstw_core()
 !from restart.F90
-   CALL set_rstw_var_active("rdt")
+   CALL iom_set_rstw_var_active("rdt")
    IF ( .NOT. ln_diurnal_only ) THEN
-        CALL set_rstw_var_active('ub'  )
-        CALL set_rstw_var_active('vb'  )
-        CALL set_rstw_var_active('tb'  )
-        CALL set_rstw_var_active('sb'  )
-        CALL set_rstw_var_active('sshb')
+        CALL iom_set_rstw_var_active('ub'  )
+        CALL iom_set_rstw_var_active('vb'  )
+        CALL iom_set_rstw_var_active('tb'  )
+        CALL iom_set_rstw_var_active('sb'  )
+        CALL iom_set_rstw_var_active('sshb')
         !
-        CALL set_rstw_var_active('un'  )
-        CALL set_rstw_var_active('vn'  )
-        CALL set_rstw_var_active('tn'  )
-        CALL set_rstw_var_active('sn'  )
-        CALL set_rstw_var_active('sshn')
-        CALL set_rstw_var_active('rhop')
+        CALL iom_set_rstw_var_active('un'  )
+        CALL iom_set_rstw_var_active('vn'  )
+        CALL iom_set_rstw_var_active('tn'  )
+        CALL iom_set_rstw_var_active('sn'  )
+        CALL iom_set_rstw_var_active('sshn')
+        CALL iom_set_rstw_var_active('rhop')
      ! extra variable needed for the ice sheet coupling
         IF ( ln_iscpl ) THEN
-             CALL set_rstw_var_active('tmask')
-             CALL set_rstw_var_active('umask')
-             CALL set_rstw_var_active('vmask')
-             CALL set_rstw_var_active('smask')
-             CALL set_rstw_var_active('e3t_n')
-             CALL set_rstw_var_active('e3u_n')
-             CALL set_rstw_var_active('e3v_n')
-             CALL set_rstw_var_active('gdepw_n')
+             CALL iom_set_rstw_var_active('tmask')
+             CALL iom_set_rstw_var_active('umask')
+             CALL iom_set_rstw_var_active('vmask')
+             CALL iom_set_rstw_var_active('smask')
+             CALL iom_set_rstw_var_active('e3t_n')
+             CALL iom_set_rstw_var_active('e3u_n')
+             CALL iom_set_rstw_var_active('e3v_n')
+             CALL iom_set_rstw_var_active('gdepw_n')
         END IF
       ELSE
-        CALL set_rstw_var_active('Dsst')
+        CALL iom_set_rstw_var_active('Dsst')
       ENDIF
 !from trasbc.F90
-         CALL set_rstw_var_active('sbc_hc_b')
-         CALL set_rstw_var_active('sbc_sc_b')
-   END SUBROUTINE set_rstw_core
-
-   SUBROUTINE set_rst_vars(fields)
+         CALL iom_set_rstw_var_active('sbc_hc_b')
+         CALL iom_set_rstw_var_active('sbc_sc_b')
+   END SUBROUTINE iom_set_rstw_core
+
+   SUBROUTINE iom_set_rst_vars(fields)
 !set names for variables in restart file
    TYPE(RST_FIELD), INTENT(INOUT) :: fields(max_rst_fields)
@@ -392,12 +392,12 @@
 
         IF( i-1 > max_rst_fields) THEN
-        IF(lwp) write(numout,*) 'E R R O R : set_rst_vars SIZE of RST_FIELD array is too small'
+        IF(lwp) write(numout,*) 'E R R O R : iom_set_rst_vars SIZE of RST_FIELD array is too small'
         nstop = nstop + 1
         ENDIF
 
-   END SUBROUTINE set_rst_vars
-
-
-   SUBROUTINE set_rstw_active(rst_file)
+   END SUBROUTINE iom_set_rst_vars
+
+
+   SUBROUTINE iom_set_rstw_active(rst_file)
 !sets enabled = .TRUE. for each field in restart file
    CHARACTER(len=*) :: rst_file
@@ -442,7 +442,7 @@
          ENDIF
         END DO
-   END SUBROUTINE set_rstw_active
-
-   SUBROUTINE set_rst_context( ) 
+   END SUBROUTINE iom_set_rstw_active
+
+   SUBROUTINE iom_set_rst_context( ) 
 #if defined key_iomput
    TYPE(xios_domaingroup)            :: domaingroup_hdl 
@@ -467,5 +467,5 @@
      CALL xios_add_child(scalargroup_hdl, scalar_hdl, "grid_scalar") 
 #endif
-   END SUBROUTINE set_rst_context
+   END SUBROUTINE iom_set_rst_context
 
    SUBROUTINE iom_swap( cdname )
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 8651)
@@ -111,5 +111,5 @@
       !
       IF( lwxios ) THEN
-         CALL set_rstw_var_active('ssh_ibb')
+         CALL iom_set_rstw_var_active('ssh_ibb')
       ENDIF
    END SUBROUTINE sbc_apr_init
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 8651)
@@ -397,7 +397,7 @@
 
       IF( lwxios ) THEN
-          CALL set_rstw_var_active('fwf_isf_b')
-          CALL set_rstw_var_active('isf_hc_b')
-          CALL set_rstw_var_active('isf_sc_b')
+          CALL iom_set_rstw_var_active('fwf_isf_b')
+          CALL iom_set_rstw_var_active('isf_hc_b')
+          CALL iom_set_rstw_var_active('isf_sc_b')
       ENDIF
 
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8651)
@@ -343,11 +343,11 @@
       !
       IF( lwxios ) THEN
-         CALL set_rstw_var_active('utau_b')
-         CALL set_rstw_var_active('vtau_b')
-         CALL set_rstw_var_active('qns_b')
+         CALL iom_set_rstw_var_active('utau_b')
+         CALL iom_set_rstw_var_active('vtau_b')
+         CALL iom_set_rstw_var_active('qns_b')
          ! The 3D heat content due to qsr forcing is treated in traqsr
-         ! CALL set_rstw_var_active('qsr_b')
-         CALL set_rstw_var_active('emp_b')
-         CALL set_rstw_var_active('sfx_b')
+         ! CALL iom_set_rstw_var_active('qsr_b')
+         CALL iom_set_rstw_var_active('emp_b')
+         CALL iom_set_rstw_var_active('sfx_b')
       ENDIF
 
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 8651)
@@ -476,7 +476,7 @@
       !
       IF( lwxios ) THEN
-         CALL set_rstw_var_active('rnf_b')
-         CALL set_rstw_var_active('rnf_hc_b')
-         CALL set_rstw_var_active('rnf_sc_b')
+         CALL iom_set_rstw_var_active('rnf_b')
+         CALL iom_set_rstw_var_active('rnf_hc_b')
+         CALL iom_set_rstw_var_active('rnf_sc_b')
       ENDIF
 
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssm.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssm.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssm.F90	(revision 8651)
@@ -255,12 +255,12 @@
       !
       IF( lwxios.AND.nn_fsbc > 1 ) THEN
-         CALL set_rstw_var_active('nn_fsbc')
-         CALL set_rstw_var_active('ssu_m')
-         CALL set_rstw_var_active('ssv_m')
-         CALL set_rstw_var_active('sst_m')
-         CALL set_rstw_var_active('sss_m')
-         CALL set_rstw_var_active('ssh_m')
-         CALL set_rstw_var_active('e3t_m')
-         CALL set_rstw_var_active('frq_m')
+         CALL iom_set_rstw_var_active('nn_fsbc')
+         CALL iom_set_rstw_var_active('ssu_m')
+         CALL iom_set_rstw_var_active('ssv_m')
+         CALL iom_set_rstw_var_active('sst_m')
+         CALL iom_set_rstw_var_active('sss_m')
+         CALL iom_set_rstw_var_active('ssh_m')
+         CALL iom_set_rstw_var_active('e3t_m')
+         CALL iom_set_rstw_var_active('frq_m')
       ENDIF
 
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 8651)
@@ -439,6 +439,6 @@
       !
       IF( lwxios ) THEN
-         CALL set_rstw_var_active('qsr_hc_b')
-         CALL set_rstw_var_active('fraqsr_1lev')
+         CALL iom_set_rstw_var_active('qsr_hc_b')
+         CALL iom_set_rstw_var_active('fraqsr_1lev')
       ENDIF
       IF( nn_timing == 1 )   CALL timing_stop('tra_qsr_init')
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 8651)
@@ -1142,10 +1142,10 @@
       !
       IF( lwxios ) THEN
-         CALL set_rstw_var_active('en')
-         CALL set_rstw_var_active('avt')
-         CALL set_rstw_var_active('avm')
-         CALL set_rstw_var_active('avmu')
-         CALL set_rstw_var_active('avmv')
-         CALL set_rstw_var_active('mxln')
+         CALL iom_set_rstw_var_active('en')
+         CALL iom_set_rstw_var_active('avt')
+         CALL iom_set_rstw_var_active('avm')
+         CALL iom_set_rstw_var_active('avmu')
+         CALL iom_set_rstw_var_active('avmv')
+         CALL iom_set_rstw_var_active('mxln')
       ENDIF
 
Index: branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 8650)
+++ branches/2017/dev_r8600_xios_write/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 8651)
@@ -816,10 +816,10 @@
       !
       IF( lwxios ) THEN
-        CALL set_rstw_var_active('en')
-        CALL set_rstw_var_active('avt')
-        CALL set_rstw_var_active('avm')
-        CALL set_rstw_var_active('avmu')
-        CALL set_rstw_var_active('avmv')
-        CALL set_rstw_var_active('dissl')
+        CALL iom_set_rstw_var_active('en')
+        CALL iom_set_rstw_var_active('avt')
+        CALL iom_set_rstw_var_active('avm')
+        CALL iom_set_rstw_var_active('avmu')
+        CALL iom_set_rstw_var_active('avmv')
+        CALL iom_set_rstw_var_active('dissl')
       ENDIF
 