Index: branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml
===================================================================
--- branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 8632)
+++ branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 8671)
@@ -449,4 +449,5 @@
        <field id= "DMS_ANDM"   long_name="DMS Surface Concentration, Anderson modif" unit="nmol/L"      />
        <field id= "CHL_MLD"    long_name="MLD averaged Chlorophyll"                  unit="mg Chl/m3"   />
+       <field id= "CHL_CPL"    long_name="Scaled Surf or MLD Chlorophyll to UM"      unit="kg Chl/m3"   />
        <field id= "ATM_XCO2"   long_name="Atmospheric xCO2"                          unit="ppm"         />
        <field id= "OCN_FCO2"   long_name="Surface ocean fCO2"                        unit="uatm"        />
@@ -703,5 +704,4 @@
       <field field_ref= "OCN_CO3"    name="OCN_CO3"    />
       <field field_ref= "CO2FLUX"    name="CO2FLUX"    />
-      <field field_ref= "FGCO2"      name="FGCO2"      />
       <field field_ref= "OM_CAL"     name="OM_CAL"     />
       <field field_ref= "OM_ARG"     name="OM_ARG"     />
@@ -788,4 +788,12 @@
     </field_group>
 
+    <field_group id="groupMEDUSA_cpl" >
+      <field field_ref= "CHL_CPL"    name="CHL_CPL"    />
+      <field field_ref= "FGCO2"      name="FGCO2_CPL"  />
+      <field field_ref= "DMS_SURF"   name="DMS_CPL"    />
+      <field field_ref= "ATM_XCO2"   name="AXCO2_CPL"  />
+      <field field_ref= "AEOLIAN"    name="DUST_CPL"   />
+    </field_group>
+
     <field_group id="groupMEDUSA_3dd" >
       <field field_ref= "TPP3"       name="TPP3"       />
Index: branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_diag_slice.F90
===================================================================
--- branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_diag_slice.F90	(revision 8632)
+++ branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_diag_slice.F90	(revision 8671)
@@ -39,6 +39,5 @@
 # endif
       USE lbclnk,            ONLY: lbc_lnk
-      USE trc,               ONLY: trn
-      USE oce,               ONLY: CO2Flux_out_cpl, DMS_out_cpl, chloro_out_cpl
+      USE oce,               ONLY: CO2Flux_out_cpl, DMS_out_cpl
       USE par_oce,           ONLY: jpi, jpj
       USE sbc_oce,           ONLY: lk_oasis, qsr, wndm
@@ -48,6 +47,5 @@
                                    jdms, ocal_ccd, xpar, xze,              &
                                    zb_co2_flx, zb_dms_srf,                 &
-                                   zn_co2_flx, zn_dms_srf, zn_chl_srf,     &
-                                   scl_chl, chl_out
+                                   zn_co2_flx, zn_dms_srf
       USE trc,               ONLY: med_diag
 
@@ -67,19 +65,4 @@
       !!
       IF (jk.eq.1) THEN
-         !! JPALM -- 02-06-2017 --
-         !! add Chl surf coupling
-         !! no need to output, just pass to cpl var
-         IF (lk_oasis) THEN
-            IF (chl_out.eq.1) THEN
-               !! export and scale surface chl
-               zn_chl_srf(:,:) = MAX( 0.0, (trn(:,:,1,jpchd) + trn(:,:,1,jpchn)) * scl_chl * 1.0E-6 )
-                                 !! surf Chl in Kg-chl/m3 as needed for cpl
-            ELSEIF (chl_out.eq.2) THEN
-               !! export and scale mld chl
-               zn_chl_srf(:,:) = MAX( 0.0, fchl_ml * scl_chl * 1.0E-6 )
-                                 !! mld Chl in Kg-chl/m3 as needed for cpl
-            ENDIF
-            chloro_out_cpl(:,:) = zn_chl_srf(:,:)        !! Coupling Chl
-         END IF
          IF( med_diag%MED_QSR%dgsave ) THEN
             CALL iom_put( "MED_QSR"  , qsr ) !
Index: branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_fin.F90
===================================================================
--- branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_fin.F90	(revision 8632)
+++ branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_fin.F90	(revision 8671)
@@ -39,8 +39,10 @@
 # endif
       USE lbclnk,            ONLY: lbc_lnk
+      USE oce,               ONLY: chloro_out_cpl 
       USE par_medusa,        ONLY: jp_medusa_2d, jp_medusa_3d,          &
-                                   jp_medusa_trd
+                                   jp_medusa_trd, jpchd, jpchn
       USE par_oce,           ONLY: jpi, jpim1, jpj, jpjm1, jpk
       USE phycst,            ONLY: rsmall
+      USE sbc_oce,           ONLY: lk_oasis
       USE sms_medusa,        ONLY: jinorgben, jorgben,                  &
                                    f3_co3, f3_h2co3, f3_hco3,           &
@@ -51,6 +53,7 @@
                                    zb_sed_n, zb_sed_si,                 &
                                    zn_sed_c, zn_sed_ca, zn_sed_fe,      &
-                                   zn_sed_n, zn_sed_si, zn_chl_srf
-      USE trc,               ONLY: med_diag, nittrc000 
+                                   zn_sed_n, zn_sed_si, zn_chl_srf,     &
+                                   scl_chl, chl_out
+      USE trc,               ONLY: med_diag, nittrc000, trn 
       USE trcnam_trp,        ONLY: ln_trcadv_cen2, ln_trcadv_tvd
  
@@ -231,4 +234,24 @@
             ENDDO
          ENDDO
+
+         !!!---------------------------------------------------------------
+         !! Calculates Chl diag for UM coupling 
+         !!!---------------------------------------------------------------
+         !! JPALM -- 02-06-2017 --
+         !! add Chl surf coupling
+         !! no need to output, just pass to cpl var
+         IF (lk_oasis) THEN
+            IF (chl_out.eq.1) THEN
+               !! export and scale surface chl
+               zn_chl_srf(:,:) = MAX( 0.0, (trn(:,:,1,jpchd) + trn(:,:,1,jpchn)) * scl_chl * 1.0E-6 )
+                                 !! surf Chl in Kg-chl/m3 as needed for cpl
+            ELSEIF (chl_out.eq.2) THEN
+               !! export and scale mld chl
+               zn_chl_srf(:,:) = MAX( 0.0, fchl_ml(:,:) * scl_chl * 1.0E-6 )
+                                 !! mld Chl in Kg-chl/m3 as needed for cpl
+            ENDIF
+            chloro_out_cpl(:,:) = zn_chl_srf(:,:)        !! Coupling Chl
+         END IF
+
          !!----------------------------------------------------------------
          !! Add in XML diagnostics stuff
@@ -241,7 +264,5 @@
 #   endif
          IF ( med_diag%INVTN%dgsave ) THEN
-            !! HACK - Coupled Chl sent to UM    
-            CALL iom_put( "INVTN"  , zn_chl_srf )
-            !! CALL iom_put( "INVTN"  , ftot_n )
+            CALL iom_put( "INVTN"  , ftot_n )
          ENDIF
          IF ( med_diag%INVTSI%dgsave ) THEN
@@ -262,4 +283,7 @@
          IF ( med_diag%CHL_MLD%dgsave ) THEN
             CALL iom_put( "CHL_MLD"  , fchl_ml )
+         ENDIF
+         IF ( med_diag%CHL_CPL%dgsave ) THEN
+            CALL iom_put( "CHL_CPL"  , zn_chl_srf )
          ENDIF
          IF ( med_diag%PN_JLIM%dgsave ) THEN
Index: branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90
===================================================================
--- branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 8632)
+++ branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 8671)
@@ -2079,4 +2079,9 @@
           med_diag%CHL_MLD%dgsave = .FALSE.
       ENDIF
+      IF  (iom_use("CHL_CPL")) THEN 
+          med_diag%CHL_CPL%dgsave = .TRUE.
+      ELSE 
+          med_diag%CHL_CPL%dgsave = .FALSE.
+      ENDIF
       !! 3D
       IF  (iom_use("TPP3")) THEN 
Index: branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/trc.F90
===================================================================
--- branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 8632)
+++ branches/NERC/dev_r5518_GO6_ScalingCoupledChl/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 8671)
@@ -135,5 +135,5 @@
                   TPP3, DETFLUX3, REMIN3N, PH3, OM_CAL3,                                             & ! end of regular 3D
 ! JPALM (01/09/17): additional UKESM 2D diag
-                  CHL_MLD,                                                                           &
+                  CHL_MLD, CHL_CPL,                                                                  &
 ! AXY (11/11/16): additional CMIP6 2D diagnostics
                   epC100, epCALC100, epN100, epSI100,                                                &