Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/constants.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/constants.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/constants.f90	(revision 8702)
@@ -5,5 +5,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: constants.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/grids.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/grids.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/grids.f90	(revision 8702)
@@ -8,5 +8,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: grids.f,v 1.6 2001/08/21 21:06:41 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/iounits.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/iounits.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/iounits.f90	(revision 8702)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: iounits.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/kinds_mod.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/kinds_mod.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/kinds_mod.f90	(revision 8702)
@@ -5,5 +5,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: kinds_mod.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/netcdf_mod.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/netcdf_mod.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/netcdf_mod.f90	(revision 8702)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: netcdf.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap.f90	(revision 8702)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap.f,v 1.5 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_bicubic.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_bicubic.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_bicubic.f90	(revision 8702)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_bicubic.f,v 1.5 2001/08/22 18:20:41 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_bilinear.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_bilinear.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_bilinear.f90	(revision 8702)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_bilinear.f,v 1.6 2001/08/22 18:20:40 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_conserv.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_conserv.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_conserv.f90	(revision 8702)
@@ -10,5 +10,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_conserv.f,v 1.10 2001/08/21 21:05:13 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_distwgt.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_distwgt.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_distwgt.f90	(revision 8702)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_distwgt.f,v 1.3 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_read.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_read.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_read.f90	(revision 8702)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_read.f,v 1.6 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_vars.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_vars.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_vars.f90	(revision 8702)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_vars.f,v 1.5 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_write.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_write.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/remap_write.f90	(revision 8702)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_write.f,v 1.7 2001/08/21 21:06:42 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/scrip.F90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/scrip.F90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/scrip.F90	(revision 8702)
@@ -8,5 +8,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: scrip.f,v 1.6 2001/08/21 21:06:44 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/timers.f90
===================================================================
--- branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/timers.f90	(revision 8701)
+++ branches/UKMO/dev_r5518_flux_correction/NEMOGCM/TOOLS/WEIGHTS/src/timers.f90	(revision 8702)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: timers.f,v 1.2 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 